Subject: [Mip4] Runthrough of issues raised on draft-ietf-dhc-mipadvert-opt-01.txt

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 16 Dec 2003 23:26:57 +0100

Hi,

    I've gone through the comments given on this draft as a result of
the WG last call.

The issues have been recorded in an issue tracker at 
 http://www.mip4.org/issues/tracker/mip4/ , and the proposed
resolution for each of the issues raised can be seen in the
working documents I maintain at 
 http://ietf.levkowetz.com/drafts/dhc/mipadvert/ , as well
as in the issue tracker.

I'd much appreciate feedback on the proposed resolutions. See the
list below for the individual issues, and link to proposed text.

The full text of the current incarnation of the working document, with
all the proposed fixes applied, is at:
 http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.n.txt

	Henrik

---

Issue	Details

28  	Title: How does the DHCP server know about agent load?
	From: Kuntal Chowdhury <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue28
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.a-from-01.diff.html

29 	Title: 'B' bit may not always be valid
	From: Kuntal Chowdhury <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue29
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.b-from-02.a.diff.html

30 	Title: Precise rules for sending and receiving these options needed.
	From: Ralph Droms <[email-masked]>,
	      Alpesh Patel <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue30
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.c-from-02.b.diff.html

31 	Title: Handling of sequence number field
	From: Naveen Paulkandasamy <[email-masked]>,
	      Thomas Narten <[email-masked]>
	      and others
	Issue: http://www.mip4.org/issues/tracker/mip4/issue31
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.d-from-02.c.diff.html

32 	Title: Zero-length suboptions
	From: Kim Kinnear <[email-masked]>,
	      Bernie Volz <[email-masked]>,
	      Ted Lemon <[email-masked]>,
	      [email-masked]
	Issue: http://www.mip4.org/issues/tracker/mip4/issue32
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.e-from-02.d.diff.html

33 	Title: Add request to IANA to maintain registry for sub-options
	From: Ralph Droms <[email-masked]>,
	      Alpesh Patel <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue33
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.f-from-02.e.diff.html

34 	Title: AD comments, with bearing on issues 29, 30, 33, plus nits
	From: Thomas Narten <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue34
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.g-from-02.f.diff.html

36 	Title: Duplication of 3344 advertisement format specification & 1 nit
	From: Sami Vaarala <[email-masked]>,
	      Espen Klovning <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue36
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.h-from-02.g.diff.html

37 	Title: How should MN use this option? 
	From: Espen Klovning" <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue37
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.i-from-02.h.diff.html

38 	Title: Must the Agents be on-link?
	From: Pete McCann <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue38
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.j-from-02.i.diff.html

39 	Title: Nits
	From: Ralph Droms <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue39
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.k-from-02.j.diff.html

40 	Title: How to select the individual agent assignments
	From: Alpesh Patel <[email-masked]>,
	      Naveen Paulkandasamy <[email-masked]>,
	Issue: http://www.mip4.org/issues/tracker/mip4/issue40
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.l-from-02.k.diff.html

41 	Title: How does this option tie into authentication of DHCP messages
	From: Alpesh Patel <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue41
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.m-from-02.l.diff.html

42 	Title: Tying NAI and ciaddr fields together
	From: Alpesh Patel <[email-masked]>
	Issue: http://www.mip4.org/issues/tracker/mip4/issue42
	Fix: http://ietf.levkowetz.com/drafts/dhc/mipadvert/draft-ietf-dhc-mipadvert-opt-02.n-from-02.m.diff.html